%define anolis_release 2

Name:           perl-MIME-Charset
Version:        1.013.1
Release:        %{anolis_release}%{?dist}
Summary:        Charset Informations for MIME
License:        GPL-1.0-or-later OR Artistic-1.0-Perl
URL:            https://metacpan.org/release/MIME-Charset
Source0:        https://cpan.metacpan.org/authors/id/N/NE/NEZUMI/MIME-Charset-%{version}.tar.gz

Patch1:         0001-MIME-Charset-1.012-Do-not-install-modules-from-the-Internet.patch

BuildRequires:  make coreutils
BuildRequires:  perl-interpreter perl-generators
BuildRequires:  perl(inc::Module::Install)
BuildRequires:  perl(Module::Install::WriteAll)
BuildRequires:  perl(Module::Install::Win32)
BuildRequires:  perl(Module::Install::Metadata)

BuildRequires:  perl(Exporter) perl(Carp)
BuildRequires:  perl(vars)  perl(strict) perl(constant) 
BuildRequires:  perl(Encode::Encoding)
BuildRequires:  perl(Encode::EUCJPASCII) >= 0.02

BuildRequires:  perl(Test) perl(Test::More)
BuildRequires:  perl(Test::Pod) >= 1.00

%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}^perl\\(MIME::Charset\\)$

BuildArch:      noarch

%description
MIME::Charset provides information about character sets used for MIME
messages on Internet.

%package        doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1 -n MIME-Charset-%{version}

rm -rf ./inc
perl -i -ne 'print $_ unless m{^inc/}' MANIFEST

%build
perl Makefile.PL NO_PERLLOCAL=1 NO_PACKLIST=1 INSTALLDIRS=vendor
%make_build

%install
%make_install
%{_fixperms} %{buildroot}/*

%check
make test

%files
%license ARTISTIC COPYING
%{perl_vendorlib}/*
%{_mandir}/man3/*

%files doc
%doc Changes README

%changelog
* Fri Apr 14 2023 Guyu Wang <guyu.wgy@linux.alibaba.com> - 1.013.1-2
- Optimise spec file

* Mon Jan 30 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1.013.1-1
- update to 1.013.1

* Wed Apr 20 2022 zhang xianting <zhangxianting@uniontech.com> - 1.012.2-1
- Initial build for Anolis V23
